/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:46
 * Description:统计管理
 */
package com.emr.service.ipml;

import com.emr.dao.Emr_Fault_TypeMapper;
import com.emr.dao.Emr_LogMapper;
import com.emr.dao.V_CountMapper;
import com.emr.entity.*;
import com.emr.service.Emr_Fault_TypeService;
import com.emr.service.V_CountService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

@Service
public class V_CountServiceImpl implements V_CountService {
    @Autowired
    private V_CountMapper vCountMapper;

    @Override
    public List<V_Count> selectByCol(V_Count record) {
        return vCountMapper.selectByCol(record);
    }


    @Override
    public OffsetLimitPage selectPageByClo(V_Count record, Integer offset, Integer limit) {
        PageHelper.offsetPage(offset, limit);
        List<V_Count> list = vCountMapper.selectByCol(record);
        return new OffsetLimitPage((Page) list);
    }

    @Override
    public List<V_Count2> selByDept(V_Count2 record) {
        return vCountMapper.selByDept(record);
    }

    @Override
    public List<V_Count2> selByCharge(V_Count2 record) {
        return vCountMapper.selByCharge(record);
    }
}
 

